EUCA-DESCRIBE-VOLUMES(1)

NAME
euca-describe-volumes - Display information about volumes

SYNOPSIS
euca-describe-volumes [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [VOLUME [VOLUME ...]]

DESCRIPTION
Display information about volumes

  positional arguments:

VOLUME
    limit results to specific volumes

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

attachment.attach-time
    attachment start time

attachment.delete-on-termination
    whether the volume will be deleted upon instance termination

attachment.device
    device node exposed to the instance

attachment.instance-id
    ID of the instance the volume is attached to

attachment.status
    attachment state availability-zone create-time creation time size size in GiB snapshot-id snapshot from which the volume was created status tag-key key of a tag assigned to the volume tag-value value of a tag assigned to the volume tag:KEY specific tag key/value combination volume-id volume-type